# ``twisted`.`internet`.`interfaces`.`ISystemHandle``

interface documentation

`class ISystemHandle(Interface): (source)`

Known implementations: `twisted.internet.iocpreactor.tcp.Connection`, `twisted.internet.iocpreactor.udp.Port`, `twisted.internet.tcp.Connection`, `twisted.internet.udp.Port`, `twisted.protocols.tls.TLSMemoryBIOProtocol`

View In Hierarchy

An object that wraps a networking OS-specific handle.

Method | `getHandle` | Return a system- and reactor-specific handle.

def getHandle(): (source)

Return a system- and reactor-specific handle.

This might be a socket.socket() object, or some other type of object, depending on which reactor is being used. Use and manipulate at your own risk.

This might be used in cases where you want to set specific options not exposed by the Twisted APIs.

Returns
`object` | Undocumented